請看附圖 [論壇 - Ubuntu 與 GNOME]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊



請看附圖
會員一級
註冊日期:
2014/1/25 11:45
所屬群組:
已註冊使用者
等級: 4
HP : 0 / 75
MP : 9 / 774
EXP: 3
離線
我有一些問題

在檔案總管點選最近開啟出現錯誤訊息(如附圖)

然後我點色彩後出現畫面(如附圖 就是色彩描述檔不知道怎麼選)

要如何解決這兩個問題

麻煩各位解惑

感激不盡

附件:



png  2017-03-26 13-09-41 的螢幕擷圖.png (256.07 KB)
37626_58d74fe4574c7.png 1440X795 px

png  2017-03-26 13-15-40 的螢幕擷圖.png (307.23 KB)
37626_58d74fed7fb03.png 1440X795 px

3/26 13:21:14
應用擴展 工具箱
回覆: 請看附圖 (gvfs-backends / gvfsd-recent)
會員五級
註冊日期:
2012/4/22 10:50
所屬群組:
已註冊使用者
等級: 31
HP : 153 / 766
MP : 449 / 11781
EXP: 66
離線
小火車 寫到:
我有一些問題

在檔案總管點選最近開啟出現錯誤訊息(如附圖)

然後我點色彩後出現畫面(如附圖 就是色彩描述檔不知道怎麼選)

要如何解決這兩個問題

麻煩各位解惑

感激不盡



關於第一張圖「檔案總管(nautilus)」的「最近開啟(Recent)」,

在我的環境,是正常運作的。

我對這部份其實還沒有去深究,
所以以下只是我剛剛用測試推敲的方式,去找到相關的線索,記錄下來,提供參考

我的環境是「Xubuntu 16.04 amd64 英文界面」。

從圖中的訊息,猜測是呼叫「nautilus外部的服務」,

執行


$ ps aux | grep recent



顯示


user 2892 0.2 0.5 494460 23668 ? Sl 14:31 0:00 /usr/lib/gvfs/gvfsd-recent --spawner :1.10 /org/gtk/gvfs/exec_spaw/8
user 3099 0.0 0.0 12884 932 pts/9 S+ 14:35 0:00 grep --color=auto recent




執行


$ dpkg -S /usr/lib/gvfs/gvfsd-recent



顯示


gvfs-backends: /usr/lib/gvfs/gvfsd-recent



表示「/usr/lib/gvfs/gvfsd-recent」是屬於「gvfs-backends」這個「Package」。


執行


$ apt-cache show nautilus | grep gvfs-backends



顯示


Recommends: librsvg2-common, gvfs-backends



從上面可以知道「gvfs-backends」是在「Recommends」這個欄位,
我猜測有可能是您的系統是沒有安裝「gvfs-backends」這個「Package」,
所以才有您提到的這個狀況發生。


我的系統原本就有安裝「gvfs-backends」這個「Package」。

執行


$ dpkg -l gvfs-backends



顯示


Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-===============================-====================-====================-==========
ii gvfs-backends 1.28.2-1ubuntu1~16.0 amd64 userspace virtual filesystem - backends



所以做個小實驗,我先移除「gvfs-backends」這個「Package」。

然後把剛剛的「/usr/lib/gvfs/gvfsd-recent」那個「process」關掉。


$ kill -9 2892



然後在點選「最近開啟(Recent)」,就會出現一個警示對話框。
是英文訊息,文字如下:


Oops! Something went wrong.

Unhandled error message: Failed to execute child process "/usr/lib/gvfs/gvfs-recent" (No such file or directory)




所以建議樓主可以安裝「gvfs-backends」這個「Package」,


$ sudo apt-get install gvfs-backends



再確認看看是否還有您說的這個狀況發生。

================================================================================

## 相關連結

* Wikipedia / GVfs
* GNOME / Backends for GVfs
* Arck Wiki / File manager functionality


================================================================================

題外話:

我一開始有查詢「nautilus recent file」,有查到「一篇討論」,

裡面有提到,可以在「~/.config/gtk-3.0/settings.ini」

設定


[Settings]
gtk-recent-files-enabled = 0



在我的環境測試,「檔案總管(nautilus)」左方的「最近開啟(Recent)」那個選項就不會出現,
即使已經有安裝「gvfs-backends」這個「Package」。

================================================================================

第二張圖,小弟不才,需要等其他人來回答了 Orz...

================================================================================

報告完畢


3/26 15:04:59
應用擴展 工具箱


 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.